DH_CLEAN(1)

NOME
dh_clean - limpa os directórios de compilação de pacotes

RESUMO
dh_clean [debhelper options] [-k] [-d] [-Xitem] [path ...]

DESCRIÇÃO
dh_clean é um programa debhelper que é responsável pela limpeza. Ele deve estar no último passo do alvo clean e o outros comandos debhelper geralmente assumem que dh_clean irá limpar tudo depois deles.

Remove os directórios de compilação do pacote, e remove mais alguns ficheiros incluindo debian/files, e quaisquer detritos deixados por outros comandos debhelper. Também remove ficheiros comuns e directórios que não deveriam aparecer num diff de Debian:
  #*# *~ DEADJOE *.orig *.rej *.SUMS __pycache__ TAGS .deps/* *.P *-stamp

Não corre o "make clean" para limpara após o processo de compilação. Use dh_auto_clean(1) para fazer as coisas dessa maneira.

FICHEIROS

debian/clean
    Pode listar outros caminhos para serem removidos.

    Note que os directórios listados neste ficheiro devem terminar com uma barra final. Qualquer conteúdo nestes directórios será também removido.

    Suporta variáveis de substituição em compatibilidade 13 e posterior como documentado em debhelper(7).

OPÇÕES

-k, --keep
    Isto está descontinuado, use dh_prep(1) em vez deste.

    A opção foi removida no nível de compatibilidade 12.

-d, --dirs-only
    Apenas limpa os directórios de compilação do pacote, não limpa mais nenhuns outros ficheiros.

-Xitem --exclude=item
    Exclui ficheiros que contenham item em qualquer ponto do seu nome de ficheiro de serem apagados, mesmo se estes fossem normalmente apagados. Você pode usar esta opção várias vezes para construir uma lista de coisas a excluir.

path ...
    Apaga estes caminhos também.

    Note que os directórios passados como argumentos devem terminar com uma barra final. Qualquer conteúdo nestes directórios será também removido.

VEJA TAMBÉM
debhelper(7)

Este programa é parte do debhelper.

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro a_monteiro@gmx.com ou Equipa Debian de Tradução Portuguesa traduz@debianpt.org.